//*****************************************************************************************************
//  1. t@C
//		ChangeInfoMmeDlg.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		MMEf[^̏ύX_CAO̎
//----------------------------------------------------------------------------------------------------
//  3. l
//		
//----------------------------------------------------------------------------------------------------
//  4. 
//		2013.10.22 S.Aizawa VK쐬
//*****************************************************************************************************

#include "stdafx.h"
#include "MMA_G.h"
#include "ChangeInfoMmeDlg.h"
#include "General.h"
#include <io.h>


// CChangeInfoMmeDlg _CAO

IMPLEMENT_DYNAMIC(CChangeInfoMmeDlg, CDialog)

CChangeInfoMmeDlg::CChangeInfoMmeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CChangeInfoMmeDlg::IDD, pParent)
{

}

CChangeInfoMmeDlg::~CChangeInfoMmeDlg()
{
}

void CChangeInfoMmeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_DOWNLINK, m_cEditDownlink);
	DDX_Control(pDX, IDC_EDIT_COMMENT, m_cEditComment);
}


BEGIN_MESSAGE_MAP(CChangeInfoMmeDlg, CDialog)
END_MESSAGE_MAP()

// c[`bv\f[^
static const SToolTipData s_aToolTip[] = {
	{IDOK, "ݒ肳ꂽeɃf[^t@C܂B"},
	{IDCANCEL, "̃_CAO܂B"},
	{0, NULL}
};

//*****************************************************************************************************
//  1. ֐
//		CChangeInfoMmeDlg::ChangeInfo
//----------------------------------------------------------------------------------------------------
//  2. @\
//		ύX_CAO\
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		CString		&sIdbPathName			[I] Idbt@CpX
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		INT_PTR		_CAO̕Ԓl
//*****************************************************************************************************
INT_PTR CChangeInfoMmeDlg::ChangeInfo(const CString &sIdbPathName)
{
	// Idbt@CpXۑ
	m_sIdbPathName = sIdbPathName;

	// _CAOJ
	return DoModal();
}

// CChangeInfoMmeDlg bZ[W nh

//*****************************************************************************************************
//  1. ֐
//		CChangeInfoMmeDlg::OnInitDialog
//----------------------------------------------------------------------------------------------------
//  2. @\
//		_CAO
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL	TRUE
//*****************************************************************************************************
BOOL CChangeInfoMmeDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// idbt@Cǂݍ
	m_oIdbFile.Read(m_sIdbPathName);

	// _CAOɕ\
	m_cEditDownlink = m_oIdbFile.m_downlink;
	m_cEditComment = m_oIdbFile.m_comment;

	// c[`bv\ݒ
	CGeneral::SetToolTip(m_tooltip, s_aToolTip, this);

	return TRUE;
}

//*****************************************************************************************************
//  1. ֐
//		CChangeInfoMmeDlg::OnOK
//----------------------------------------------------------------------------------------------------
//  2. @\
//		OK{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CChangeInfoMmeDlg::OnOK()
{
	// _CAOidbf[^ɐݒ
	m_oIdbFile.m_downlink = m_cEditDownlink;
	m_oIdbFile.m_comment = m_cEditComment;

	// idbt@CXV
	CString sFileName;
	if (FindFileName("idb", sFileName))
		m_oIdbFile.Write(sFileName.Left(sFileName.GetLength() - 4));

	AfxMessageBox("ύX܂B", MB_OK | MB_ICONINFORMATION);

	CDialog::OnOK();
}

//*****************************************************************************************************
//  1. ֐
//		CChangeInfoMmeDlg::FindFileName
//----------------------------------------------------------------------------------------------------
//  2. @\
//		w肳ꂽgq̃t@C
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		LPCTSTR		pExt			[I] gq
//		CString		&sFileName		[O] ꂽt@C
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL		TRUEF@FALSEFG[
//*****************************************************************************************************
BOOL CChangeInfoMmeDlg::FindFileName(LPCTSTR pExt, CString &sFileName)
{
	CString sPath;
	struct _finddata_t c_file;
    intptr_t hFile;

	// gq".s"̃t@CT
	sPath.Format("%s\\*.%s", m_sIdbPathName, pExt);
	if ((hFile = _findfirst(sPath, &c_file )) != -1L) {
		sFileName = c_file.name;
		_findclose(hFile);
		return TRUE;
	}

	return FALSE;
}

//*****************************************************************************************************
//  1. ֐
//		CChangeInfoMmeDlg::PreTranslateMessage
//----------------------------------------------------------------------------------------------------
//  2. @\
//		EBhEbZ[W
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		MSG*	pMsg			[I] MSG\̂ւ̃|C^
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL	eNX̕Ԓl̂܂ܕԂ
//*****************************************************************************************************
BOOL CChangeInfoMmeDlg::PreTranslateMessage(MSG* pMsg)
{
	// c[`bv\邽߂̏
	switch(pMsg->message){
	case WM_LBUTTONDOWN:            
	case WM_LBUTTONUP:              
	case WM_MOUSEMOVE:
		if (m_tooltip.m_hWnd)
			m_tooltip.RelayEvent(pMsg);
		break;
	}

	return CDialog::PreTranslateMessage(pMsg);
}
